Skip to main content
`Ctrl`+`K`

# pandas.tseries.offsets.Week

class pandas.tseries.offsets.Week

  Weekly offset.

  Parameters:
    n int, default 1

      The number of weeks represented.

    normalize bool, default False

      Normalize start/end dates to midnight before generating date range.

    weekday int or None, default None

      Always generate specific day of week. 0 for Monday and 6 for Sunday.

  See also

  `pd.tseries.offsets.WeekOfMonth`

    Describes monthly dates like, the Tuesday of the 2nd week of each month.

  Examples

      >>> date_object = pd.Timestamp("2023-01-13")
      >>> date_object
      Timestamp('2023-01-13 00:00:00')

      >>> date_plus_one_week = date_object + pd.tseries.offsets.Week(n=1)
      >>> date_plus_one_week
      Timestamp('2023-01-20 00:00:00')

      >>> date_next_monday = date_object + pd.tseries.offsets.Week(weekday=0)
      >>> date_next_monday
      Timestamp('2023-01-16 00:00:00')

      >>> date_next_sunday = date_object + pd.tseries.offsets.Week(weekday=6)
      >>> date_next_sunday
      Timestamp('2023-01-15 00:00:00')

  Attributes

  `base` | Returns a copy of the calling offset object with n=1 and all other attributes equal.
  `freqstr` | Return a string representing the frequency.
  `kwds` | Return a dict of extra parameters for the offset.
  `n` |
  `name` | Return a string representing the base frequency.
  `nanos` |
  `normalize` |
  `rule_code` |
  `weekday` |

  Methods

  `copy`() | Return a copy of the frequency.
  `is_anchored`() | Return boolean whether the frequency is a unit frequency (n=1).
  `is_month_end`(ts) | Return boolean whether a timestamp occurs on the month end.
  `is_month_start`(ts) | Return boolean whether a timestamp occurs on the month start.
  `is_on_offset`(dt) | Return boolean whether a timestamp intersects with this frequency.
  `is_quarter_end`(ts) | Return boolean whether a timestamp occurs on the quarter end.
  `is_quarter_start`(ts) | Return boolean whether a timestamp occurs on the quarter start.
  `is_year_end`(ts) | Return boolean whether a timestamp occurs on the year end.
  `is_year_start`(ts) | Return boolean whether a timestamp occurs on the year start.
  `rollback`(dt) | Roll provided date backward to next offset only if not on offset.
  `rollforward`(dt) | Roll provided date forward to next offset only if not on offset.